﻿using Connected.Data;

namespace Connected.Common.Workspace.Identities;
/// <summary>
/// Represents the workspace identity.
/// </summary>
/// <remarks>
/// Workspace supports identities through the <see cref="IIdentityService"/>. There could
/// be any number of different identities, such as users or devices which are provided via
/// different identity providers.
/// </remarks>
public interface IIdentity : IPrimaryKey<string>
{
	/// <summary>
	/// The display name of the identity. This should be short and descriptive.
	/// </summary>
	string DisplayName { get; init; }
	/// <summary>
	/// The Url of the identity's avatar if it is supported.
	/// </summary>
	string Avatar { get; init; }
}
